Get broker holdings
curl --request GET \
--url https://api.itoflow.ai/brokers/{connectionId}/holdings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/holdings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/brokers/{connectionId}/holdings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}Brokers
Get broker holdings
Operation ID: get__brokers_connectionId_holdings.
GET
https://api.itoflow.ai
/
brokers
/
{connectionId}
/
holdings
Get broker holdings
curl --request GET \
--url https://api.itoflow.ai/brokers/{connectionId}/holdings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/brokers/{connectionId}/holdings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/brokers/{connectionId}/holdings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"data_source": "cached",
"holdings": [
{
"average_price": "<string>",
"currency": "<string>",
"current_price": "<string>",
"current_value": "<string>",
"exchange": "<string>",
"pnl": "<string>",
"pnl_percent": "<string>",
"quantity": "<string>",
"symbol": "<string>"
}
],
"error": "<string>",
"error_code": "<string>",
"retry_after_seconds": 123
}